Skip to main content
POST
/
collections
/
{collection}
/
partitions
/
_changed
Update a partition feature
import requests

url = "https://{FUSION HOST}/api/collections/{collection}/partitions/_changed"

payload = {
    "name": "<string>",
    "collectionId": "<string>",
    "params": {},
    "enabled": True
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/api/collections/{collection}/partitions/_changed")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"collectionId\": \"<string>\",\n \"params\": {},\n \"enabled\": true\n}")
.asString();
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', collectionId: '<string>', params: {}, enabled: true})
};

fetch('https://{FUSION HOST}/api/collections/{collection}/partitions/_changed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/collections/{collection}/partitions/_changed")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"collectionId\": \"<string>\",\n \"params\": {},\n \"enabled\": true\n}"

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/collections/{collection}/partitions/_changed"

payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"collectionId\": \"<string>\",\n \"params\": {},\n \"enabled\": true\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/collections/{collection}/partitions/_changed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'collectionId' => '<string>',
'params' => [

],
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request POST \
--url https://{FUSION HOST}/api/collections/{collection}/partitions/_changed \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"collectionId": "<string>",
"params": {},
"enabled": true
}
'
This response has no body data.

Path Parameters

collection
string
required

Collection ID.

Body

application/json

Partitioned feature configuration.

name
string
collectionId
string
params
object
enabled
boolean

Response

200 - undefined